<!DOCTYPE html>
<html>
 <head>
    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
 </head>
 <body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">ACTA DE REUNION</h1>
        
    <div>
         <hr class="bordes" />
        <div class="row ">
           
    <p-table  class="ex2" #dt [columns]="cols" [value]="reuniones" [paginator]="true" (onRowSelect)="onRowSelect($event)"
        [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]="reunionseleccionado"
        dataKey="idReunion" [style]="{'margin-left':'40px'}"   >
         <ng-template pTemplate="caption">
            Módulos
        </ng-template>
        <ng-template pTemplate="caption">
            <div style="text-align: right">
                <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                <input type="text" pInputText size="50" placeholder="Busqueda"
                    (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
            </div>
        </ng-template>
        <ng-template pTemplate="header" let-columns>
            <tr>
                <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                    {{ col.header }}
                    <p-sortIcon [field]="col.field"></p-sortIcon>
                </th>
            </tr>
        </ng-template>
        
        <ng-template pTemplate="body" let-rowData let-columns="columns">
            <tr [pSelectableRow]="rowData">
                <td *ngFor="let col of columns">
                 <span *ngIf="(col.field==='fechaFin') || (col.field==='fechaInicio') || (col.field==='horaInicio')" >{{ rowData[col.field] | date  }}</span>
                <span *ngIf="!((col.field==='fechaFin')|| (col.field==='fechaInicio')||(col.field==='empresa')||(col.field==='representante')|| (col.field==='horaInicio') )"> {{ rowData[col.field] }}</span> 
             
                
                </td>
            </tr>
        </ng-template>
        <ng-template pTemplate="summary" let-rowData>
            <div style="text-align:right">
                <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                    label="Nuevo"></button>
                <button type="button" pButton icon="fa fa-trash" (click)="borrar(idReunion)" label="Borrar"></button>
                <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                    label="Editar"></button>
                 <button type="button" pButton icon="fa fa-refresh" (click)="generarSolicitud()"
                    label="Generar"></button> 

            </div>
        </ng-template>
    </p-table>
            <p-dialog header="REUNION" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                [style]="{ width: '550px' }">
               
    
                <div class="col-md-8 mt-4">
                    <form #form="ngForm" *ngIf="reunion">
                       <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha:</label>
                            
                            <div class="calender">
                              <p-calendar  name="fechaExterna " #fechaExterna="ngModel" required [(ngModel)]="reunion.fechaExterna" 
                            [(ngModel)]="date4" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaExterna.hasError('required') && fechaExterna.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">Responsable:</label>
                        <input type="text" required class="form-control" name="responsableppp" [(ngModel)]="reunion.responsableppp"
                        placeholder="Responsable PPP" #responsableppp="ngModel">
                        <h6 *ngIf="responsableppp.hasError('required') && responsableppp.touched" class="input-error">Campo
                        obligatorio</h6>
                         </div>
                                <div class="form-group">
                        
                                        <label for="solicitudempresa">
                                                    NombreTutor:
                                                    
                                         </label>
                                        <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.solicitudesempresas"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                         [ngModelOptions]="{standalone: true}" optionLabel="nombre" 
                                         [(ngModel)]="reunion.solicitudempresa">
                                        </p-dropdown >
                                     <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                     </h6>-->
                                 </div>
                                <div class="form-group">
                        
                                        <label for="solicitudempresa">
                                                    ApellidoTutor:
                                                    
                                                </label>
                                                <p-dropdown  name="mISelect" #mySelect="ngModel" [options]="this.solicitudesempresas"
                                                placeholder="Seleccione Tutor de la Empresa" overlayVisible="true" 
                                    [ngModelOptions]="{standalone: true}" optionLabel="apellido" 
                                    [(ngModel)]="reunion.solicitudempresa">
                                        </p-dropdown >
                                    <!--<h6 *ngIf="tutorempresarial.hasError('required') && tutorempresarial.touched" class="input-error">Campo obligatorio
                                    </h6>-->
                                </div>
                        <div class="form-group">
                            <label for="solicitudempresa">
                                     Empresa:</label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.solicitudesempresas"  name="mySelect" placeholder="Seleccione la Empresa" 
                         overlayVisible="true" [filter]="true" [showClear]="true" 
                         [ngModelOptions]="{standalone: true}" optionLabel="empresa.nombre" [(ngModel)]="reunion.solicitudempresa"></p-dropdown>
                        </div>
             
                         <div class="form-group">
                          <label for="" class="">Datos Estudiante:</label>  <hr />
                            <label for="" class="col-form-label-sm">Nombres :</label>
                            <input type="text" required class="form-control "
                                placeholder="Nombres de Estudiante" name="nombre" #nombre="ngModel"
                                required [(ngModel)]="reunion.carrera" />
                            <h6 *ngIf="nombre.hasError('required') && nombre.touched" class="input-error">Campo
                                obligatorio
                            </h6>
                        </div>
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Apellidos :</label>
                            <input type="text" required class="form-control" name="apellido"
                                [(ngModel)]="reunion.carrera" placeholder="Apellidos de Estudiante"
                                #apellido="ngModel">
                            <h6 *ngIf="apellido.hasError('required') && apellido.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                      
                        
                            <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha Inicio:</label>
                            
                            <div class="calender">
                              <p-calendar  name="fechaInicio " #fechaInicio="ngModel" required [(ngModel)]="reunion.fechaInicio" 
                            [(ngModel)]="date5" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                               </div >
                                    
                                <h6 *ngIf="fechaInicio.hasError('required') && fechaInicio.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                        <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha Fin:</label>
                            
                            <div class="calender">
                              <p-calendar  name="fechaFin " #fechaFin="ngModel" required [(ngModel)]="reunion.fechaFin" 
                            [(ngModel)]="date6" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                               </div >
                             <h6 *ngIf="fechaFin.hasError('required') && fechaFin.touched" class="input-error">Campo obligatorio</h6>
                        </div>   

                
                        <div class="form-group" class="select" >
                            <label for="" class="col-form-label-sm">Estado de reunion :</label>
                         
                               <select class="select-css" name="estado" id="estado" [(ngModel)]="reunion.estado">
                                <option value ="Activo">Activo </option>
                                <option value ="Inactivo">Inactivo </option>
                               </select>
                               <hr/>
                       </div>
                          <div class="form-group">
                            <label for="" class="col-form-label-sm">Horas:</label>
                            <input type="text" required class="form-control" name="horasTotal"
                                [(ngModel)]="reunion.horasTotal" placeholder="Total Horas"
                                #horasTotal="ngModel">
                            <h6 *ngIf="horasTotal.hasError('required') && horasTotal.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>     
                            <div class="form-group">
                            <label for="" class="col-form-label-sm">Hora Inicio:</label>
                            <!--<input type="time" required class="form-control" name="horaInicio"
                                [(ngModel)]="reunion.horaInicio" placeholder="Total Horas"
                                #horaInicio="ngModel"-->
                                <p-calendar name="horaInicio " #horaInicio="ngModel" required [(ngModel)]="reunion.horaInicio" timeOnly="true"
                                hourFormat="24"  dateFormant='HH:mm' (onSelect)="onSelect($event)"></p-calendar>
                            <h6 *ngIf="horaInicio.hasError('required') && horaInicio.touched" class="input-error">Campo
                                 obligatorio</h6>
                            </div>  
                                             
    
                        <div class="text-center form-row justify-content-around">
                            <div class="col-5">
                                <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                            </div>
                            <div class="col-5">
                                <button class="btn btn-success" [disabled]="form.invalid"
                                    (click)="btnGuardar()">Guardar</button>
                            </div>
                        </div>
                    </form>
                </div>
            </p-dialog>
           
        </div>
    
    </div>
    </div>
  
 </body>
    
</html>
